
set tileWidth [expr $screenWidth - 10]
if {$tileWidth > 510} {set defWidth 510} else {set defWidth $tileWidth }
set tileHeight [expr $screenHeight - 60]
set defHeight $tileHeight

set mar 22
set errorHeight [expr (($tileHeight - $mar) / 4)]
set errorDisp [expr (3 * ($tileHeight - $mar)) / 4]
unset mar

set tclvars {}

set allFlags {}
set allVars {}
set invisibleModeVars(wordWrap) 1

# The following three procs, together w/ the initialization 
# for the flags below, allow a totally Tcl-controlled menu to 
# shadow Alpha's internal variables.
proc initFlag {var {val ""}} {
	global $var modeVars tclvars allFlags
	if {[lsearch -exact $tclvars $var] < 0} {
		lappend tclvars $var
	}
	linkVar $var
	if {[string length $val]} {set $var $val}
	lappend allFlags $var
}

# Called for ordinary tcl global vars we want included in the Flags menu.
proc initTclFlag {flag {val 0} {pname ""}} {
	global $flag allFlags tclvars modeVars tcl_var_procs
	if {[lsearch -exact $tclvars $flag] < 0} {
		lappend tclvars $flag
	}
	if {![info exists $flag]} {set $flag $val}
	lappend allFlags $flag

	if {[string length $pname]} {
		set tcl_var_procs($flag) $pname
	}
}

# Called for ordinary tcl global vars we want included in the Vars menu.
proc initTclVar {var {val ""} {pname ""}} {
	global $var tclvars modeVars allVars tcl_var_procs
	if {[lsearch -exact $tclvars $var] < 0} {
		lappend tclvars $var
	}
	if {[string length $val]} {
		set $var $val
	}
	if {![info exists $var]} {set $var 0}
	lappend allVars $var

	if {[string length $pname]} {
		set tcl_var_procs($var) $pname
	}
}

proc initVar {var {val ""}} {
	global $var tclvars modeVars allVars
	if {[lsearch -exact $tclvars $var] < 0} {
		lappend tclvars $var
	}
	linkVar $var
	if {[string length $val]} {
		set $var $val
	}
	lappend allVars $var
}

# This file contains methods allowing the shadowing of tcl variables 

initFlag autoHScroll
initFlag autoSave
initTclFlag backup
initFlag blinkingCursor
initFlag blockCursor
initFlag coloring
initFlag dragAndDrop
initTclFlag forceMainScreen 1
initFlag horScrollBar 0
initFlag hyperText 1
initTclFlag iconifyOnSwitch
initFlag indentOnCR
initTclFlag infoWindowsDirty 0
initTclFlag intelCutPaste 1
catch {initFlag lockStatus 1}
initFlag moveInsertion
initFlag openAllFiles
initFlag powerThumb
initFlag projectorAware
initFlag showInvisibles
initFlag smallMenuFont
initTclFlag sortFuncsMenu 1
initFlag sortedIsDefault
initFlag tearoffMenus 1
initFlag tempMem
initFlag undoOn
initFlag wordWrap

proc wordWrapProc {val} { 
	global mode wordWrap modifiedModeVars 
	global ${mode}modeVars
	set wordWrap $val
	set ${mode}modeVars(wordWrap) $val
	lappend modifiedModeVars [list wordWrap ${mode}modeVars]
}


initTclVar backExtension "~"
initTclVar backDir ""
initVar bottomMargin
initVar changesLim
initTclVar createFtpType unix
initVar defaultFont
initVar defHeight
initVar defLeft 	2
initVar defTop 		40
initVar defWidth
initTclVar diffFlags { }
initTclFlag doubleSpaces 1
initVar fillColumn
initVar fontSize
initVar funcExpr
initVar funcPar
initTclVar horMargin 4
initVar leftFillColumn
initVar leftMargin
initTclVar numWinsToTile 2
initVar paraColumn
initVar	printerFont
initVar	printerFontSize
initTclFlag printHeader 1
initTclFlag printHeaderTime 1
initTclFlag printHeaderFullPath 0
initVar savedState
initVar sortColumn
initVar tabSize
initVar tagFile
initTclVar tileHeight
initTclVar tileLeft 2
initTclVar tileMargin 22
initTclVar tileProportion .60
initTclVar tileTop
initTclVar tileWidth
initVar topMargin
initVar wordBreak
initVar wordBreakPreface
initVar	wrapBreak
initVar	wrapBreakPreface
initVar	wrapHigh
initVar	wrapLow


# Flags that won't appear in the menu.
linkVar numLock

